start => pootle

# Tracebacks

Python can give tracebacks when errors occur during execution of Pootle. To get useful tracebacks you need to tell PootleServer that you want to see such errors. You have two command line options:

--browsererrors=ERRORLEVEL | level of errors to send to browser: none, message, exception, traceback
--logerrors=ERRORLEVEL | level of errors to send to log: none, message, exception, traceback

If you use `--browsererrors` then the traceback will be sent to the web browser. This is useful if you are debugging locally, but is probably a problem if this is a live Pootle site as you might not want people to see the traceback. Using `--logerrors` will output the errors to the log, this is probably the best option for a live Pootle server.

We suggest that you use `--logerrors=traceback` on a live server and add `--browsererrors=traceback` when debugging.